# Overview
This program uses [Tomu's](https://tomu.im) red LED as an optical covert channel. It will send a user-defined message using NRZ (Non-Return-to-Zero) encoding to emulate a standard UART interface. Optical covert channels transmit data by modulating visible light in a way that is undetectable to the human eye.

More details about this example and the hardware needed to receive the data can be found at Grand Idea Studio's [Optical Covert Channels](http://www.grandideastudio.com/portfolio/optical-covert-channels/) web page.

# How to Compile
Edit the `Makefile` and point it to where you've installed the toolchain, then :

```
make deps
make check  # resolve any issues with the linker script that have been identified
make
```

# How to Flash

Follow the steps in the general README.md, using `opticspy.bin`
